clang 8.0.0

Public Member Functions | List of all members
clang::OMPClauseReader Class Reference

`#include "clang/Serialization/ASTReader.h"`

Inheritance diagram for clang::OMPClauseReader:
[legend]
Collaboration diagram for clang::OMPClauseReader:
[legend]

## Public Member Functions
| OMPClauseReader (ASTRecordReader &Record)
OMPClause * | readClause ()
void | VisitOMPClauseWithPreInit (OMPClauseWithPreInit *C)
void | VisitOMPClauseWithPostUpdate (OMPClauseWithPostUpdate *C)
Public Member Functions inherited from OMPClauseVisitorBase< OMPClauseReader, std::add_pointer, void >
void | Visit (PTR(OMPClause) S)
void | VisitOMPClause (PTR(OMPClause) Node)

## Detailed Description

Definition at line 2681 of file ASTReader.h.

## Constructor & Destructor Documentation

## ◆ OMPClauseReader()

clang::OMPClauseReader::OMPClauseReader | ( | ASTRecordReader & | Record | ) |
| inline

Definition at line 2686 of file ASTReader.h.

## Member Function Documentation

## ◆ readClause()

OMPClause * OMPClauseReader::readClause | ( |  | ) |

Definition at line 11661 of file ASTReader.cpp.

References clang::C.

Referenced by clang::ASTDeclReader::VisitOMPRequiresDecl().

## ◆ VisitOMPClauseWithPostUpdate()

void OMPClauseReader::VisitOMPClauseWithPostUpdate | ( | OMPClauseWithPostUpdate * | C | ) |

Definition at line 11869 of file ASTReader.cpp.

References clang::C, OMPDependClause::getNumLoops(), OMPMappableExprListClause< T >::getTotalComponentListNum(), OMPMappableExprListClause< T >::getTotalComponentsNum(), OMPMappableExprListClause< T >::getUniqueDeclarationsNum(), OMPMapClause::NumberOfModifiers, OMPAlignedClause::setColonLoc(), OMPMappableExprListClause< T >::setComponentListSizes(), OMPMappableExprListClause< T >::setDeclNumLists(), clang::OMPOrderedClause::setLoopCounter(), OMPDependClause::setLoopData(), clang::OMPOrderedClause::setLoopNumIterations(), clang::OMPVarListClause< T >::setLParenLoc(), clang::OMPIfClause::setLParenLoc(), clang::OMPFinalClause::setLParenLoc(), clang::OMPNumThreadsClause::setLParenLoc(), clang::OMPSafelenClause::setLParenLoc(), clang::OMPSimdlenClause::setLParenLoc(), clang::OMPCollapseClause::setLParenLoc(), clang::OMPDefaultClause::setLParenLoc(), clang::OMPProcBindClause::setLParenLoc(), clang::OMPAtomicDefaultMemOrderClause::setLParenLoc(), clang::OMPOrderedClause::setLParenLoc(), OMPDeviceClause::setLParenLoc(), clang::OMPClauseWithPostUpdate::setPostUpdateExpr(), clang::OMPLastprivateClause::setPrivateCopies(), OMPMappableExprListClause< T >::setUniqueDecls(), clang::OMPVarListClause< T >::setVarRefs(), and clang::OMPVarListClause< T >::varlist_size().

## ◆ VisitOMPClauseWithPreInit()

void OMPClauseReader::VisitOMPClauseWithPreInit | ( | OMPClauseWithPreInit * | C | ) |

Definition at line 11864 of file ASTReader.cpp.

References clang::OMPClauseWithPreInit::setPreInitStmt().

The documentation for this class was generated from the following files:

- include/clang/Serialization/ASTReader.h
- lib/Serialization/ASTReader.cpp